Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.util
[Java] Interface UIThreadHandler

    public interface UIThreadHandler

Manages execution of code in an specific thread.

On Swing/AWT applications this would be the EDT. Other toolkits may use a different thread.

Authors:
  Andres Almiray

Method Summary
`void` | `executeAsync(Runnable runnable)` Executes a code block asynchronously on the UI thread.
`void` | `executeOutside(Runnable runnable)` Executes a code block outside of the UI thread.
`void` | `executeSync(Runnable runnable)` Executes a code block synchronously on the UI thread.
`boolean` | `isUIThread()` True if the current thread is the UI thread.

Method Detail

### executeAsync

    public void executeAsync(Runnable runnable)

  Executes a code block asynchronously on the UI thread.

### executeOutside

    public void executeOutside(Runnable runnable)

  Executes a code block outside of the UI thread.

### executeSync

    public void executeSync(Runnable runnable)

  Executes a code block synchronously on the UI thread.

### isUIThread

    public boolean isUIThread()

  True if the current thread is the UI thread.

Groovy Documentation